mailman3 (3.3.10-2) unstable; urgency=medium

  * Make nose2 and api tests skippable on riscv64 for now.

 -- Jordi Mallach <jordi@debian.org>  Tue, 18 Mar 2025 13:49:15 +0100

mailman3 (3.3.10-1) unstable; urgency=medium

  * New upstream release (closes: #1099335).
    - handles stale lockfiles correctly (closes: #1082167)
  * Add missing python-flufl.* dependencies also for autopkgtests.
  * Drop patch 1130.patch, included in 3.3.10.
  * Refresh patches.
  * Build-Depend on python3-pdm, python3-pdm-backend and
    pybuild-plugin-pyproject, which replace setuptools as the build system.
  * Add Swedish translation of the debconf templates (closes: #1042765).
    Thanks Peter Kvillegård <peterkvillegard@posteo.net>.
  * Apply upstream Python 3.13 compatibility patch after ContextManager
    removal.
  * Move mailman binaries to /usr/lib by hand, as pybuild no longer does it.
  * Complete and update copyright file.
  * Use https for Homepage URL.
  * Add upstream metadata.
  * Add Catalan translation of the debconf templates.
  * Add myself to uploaders.

 -- Jordi Mallach <jordi@debian.org>  Wed, 12 Mar 2025 13:41:50 +0100

mailman3 (3.3.8-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on missing python3-flufl.*

 -- Alexandre Detiste <tchet@debian.org>  Wed, 19 Feb 2025 17:43:50 +0100

mailman3 (3.3.8-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on python3-standard-nntplib (Closes: #1084674)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 14:33:39 +0100

mailman3 (3.3.8-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.
    (Closes: #1072077)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 07 Jun 2024 15:11:10 +0200

mailman3 (3.3.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/1130.patch: cherry-pick upstream fix to drop
    dependency on importlib-resources
    d/control: remove python3-importlib-resources
    (Closes: #1049957)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 26 Aug 2023 12:01:31 +0200

mailman3 (3.3.8-3) unstable; urgency=medium

  * s/postgres/postgresql/ in config files
    (Closes: #1040708)
  * Add replacement dependency on cron to cron-daemon
    (Closes: #1038953)

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 10 Jul 2023 19:41:47 +0200

mailman3 (3.3.8-2) unstable; urgency=medium

  * Drop an unneeded cron from mailman3
  * Add an After=mariadb.service, Wants=mariadb.service in mailman3 service
    (this is harmless if mariadb is missing) (Closes: #1030156)

  [ Remus-Gabriel Chelu ]
  * Add Romanian translation for debconf templates (Closes: #1032684)

  [ Ceppo ]
  * Add Italian translation for debconf templates (Closes: #1032080)

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 23 Jun 2023 00:49:01 +0200

mailman3 (3.3.8-1) unstable; urgency=medium

  * New upstreeam release: 3.3.8
    (Closes: #1028994)
  * d/control:
    - Bump Standards-Version to 4.6.2
    - Drop lsb-base dependency
    - Add cron as a dependency and anacron as a Suggests

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 29 Jan 2023 11:41:29 +0000

mailman3 (3.3.7-3) unstable; urgency=medium

  * d/t/mailman3-create-list: Run as list user

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 18 Nov 2022 21:52:56 +0100

mailman3 (3.3.7-2) unstable; urgency=medium

  * d/p/0003: test_interact_default_banner: remove trailing space

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 18 Nov 2022 21:12:51 +0100

mailman3 (3.3.7-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 3.3.7
    - Updated patches
    - Closes: #1010769, #995779, #996806, #1023976, #1015989, #997877
  * d/copyright: update years
  * d/control:
    - Bump debhelper-compat version to 13
    - Bump Standards-Version to 4.6.1
  * d/mailman3.lintian-overrides: updated

  [ Camaleón ]
  * Add Spanish translation (Closes: #987592)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 13 Nov 2022 22:48:39 +0100

mailman3 (3.3.3-1) unstable; urgency=medium

  *  New upstream release 3.3.3.

 -- Jonas Meurer <jonas@freesources.org>  Thu, 04 Feb 2021 22:32:08 +0100

mailman3 (3.3.3~rc1-1) unstable; urgency=high

  * New upstream rc 3.3.3~rc1.
    - drop obsolete patch d/p/0003-add_missing_sphinx_configplugin.patch
    - drop obsolete patch d/p/0004-fix_template_permissions.patch
  * d/tests/control:
    - Make tests only depend on mailman3, not all binary packages.
    - Run nose2 tests
  * d/p/0003-Remove-failing-test.patch: Temporarily disable failing test

 -- Jonas Meurer <jonas@freesources.org>  Tue, 19 Jan 2021 14:25:08 +0100

mailman3 (3.3.2-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * d/mailman3.logrotate: use mailman-wrapper instead of mailman binary
    after logrotate's job. (Closes: #958977)

  [ Pierre-Elliott Bécue ]
  * New upstream release 3.3.1. (Closes: #958976, #960072, #968371)
  * Update dependencies and patches for the new upstream release

  [ Jonas Meurer ]
  * New upstream release 3.3.2. (Closes: #968817, #977935)
  * d/mailman3.cron.d: (Closes: #978959)
    - Fix cronjob for digests
    - Add cronjob for sending out pending moderation notifications
    - Add cronjob for gating messages from usenet to mailinglists
  * d/control:
    - Bump Standards-Version to 4.5.1
    - Remove versioned build-dependency on python3-falcon
    - Add build-dependency on python3-sphinx-rtd-theme
    - Add build-dependency on python3-importlib-resources
  * d/p/0002-remove_importlib_resources_dependency.patch: Remove, the Debian
    package now uses `importlib_resources` just like mailman3 upstream.
  * d/p/0003-remove_sphinxcontrib.zopeext_dependency.patch: New patch to
    remove build-dependency on `sphinxcontrib-zopeext`
  * d/p/0004-add_missing_sphinx_configplugin.patch: New patch to add the
    missing custom sphinx plugin `configplugin`
  * d/mailman3.lintian-overrides: Ignore warnings about testing files
  * d/p/0005-fix_template_permissions.patch: Fix permissions of italian
    template translation files.
  * d/mailman3.postinst: Replace deprecated `tempfile` with `mktemp`

 -- Jonas Meurer <jonas@freesources.org>  Sun, 03 Jan 2021 21:20:45 +0100

mailman3 (3.2.2-1) unstable; urgency=medium

  * New upstream release 3.2.2 (Closes: #930147)
  * Switch to debhelper-compat for build
  * d/control:
    - Bump Standards-Version to 4.4.0
    - Drop X-Python3-Version field
    - Add Pre-Depends on misc:Pre-Depends to allow the use of the
      skip-systemd-native flag.

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 22 Aug 2019 22:42:56 +0200

mailman3 (3.2.1-1) unstable; urgency=medium

  * New upstream release 3.2.1
  * d/p/0002_no_results_emails.patch:
    - Remove, got incorporated upstream
  * d/p/0002-remove_import_resources_dependency.patch:
    - New patch to remove dependency on `importlib_resources` and migrate
      to `importlib.resources`. Mailman3 depends on the external library
     `importlib_resources` to stay compatible with Python 3.5 and 3.7.
      Since this library is not available in Debian and Buster only ships
      Python 3.7 anyway, this patch replaces `importlib_resources` with
      `importlib.resources`.
  * d/control:
    - Bump X-Python3-Version to '>= 3.7' because `importlib.resources` is only
      available since Python 3.7.

 -- Jonas Meurer <jonas@freesources.org>  Sun, 24 Feb 2019 09:48:00 +0100

mailman3 (3.2.0-5) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/mailman3.service:
    - Pass '--force' when starting the mailman runner. This fixes starts when
      a stale lockfile exists but no corresponding process is running.
      (Closes: #919160)
  * d/contrib/mailman-wrapper
    - Add mailman-wrapper, which takes care of invoking mailman as user
      'list', and a corresponding manpage.

  [ Lev Lamberov ]
  * d/po/ru.po: updated Russian translation (Closes: #920890)

 -- Jonas Meurer <jonas@freesources.org>  Sat, 09 Feb 2019 22:02:12 +0100

mailman3 (3.2.0-4) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 4.3.0, no changes required
  * d/p/0002_no_results_emails.patch:
    - Backport upstream patch that stops messages to -join, -leave and
      -confirm from producing result emails.

 -- Jonas Meurer <jonas@freesources.org>  Sun, 23 Dec 2018 23:32:14 +0100

mailman3 (3.2.0-3) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/control:
    - Demote lynx from Recommends to Suggests. (Closes: #909571)

  [ Pierre-Elliott Bécue ]
  * d/po/fr.po refreshed
  * d/control:
    - Add www-browser as an alternative Suggests for lynx.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 09 Dec 2018 22:30:08 +0100

mailman3 (3.2.0-2) unstable; urgency=medium

  * d/control:
    - Replace my Crans address by my Debian one.
    - Add an explicit dependency on mailman3-web >= 0+20180916-1 to ensure the
      whole dependency chain is python3 when mailman3-full is installed.

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 05 Oct 2018 21:46:26 +0200

mailman3 (3.2.0-1) unstable; urgency=medium

  [ Elizabeth Ramos ]
  * d/po/pt_BR.po: Brazilian Portuguese translation for debconf template.
    (Closes: #905161)

  [ Jonas Meurer ]
  * New upstream release 3.2.0
    * Bump Build-Depends on python3-aiosmtpd to >=1.1
    * Bump Build-Depends on python3-sqlalchemy to >= 1.2.3
    * Drop obsolete patch d/patches/0001_sphinx_ignore_pc.patch
    * Drop obsolete patch d/patches/0002_change_mkdirs_behaviour.patch
  * d/upstream/signing-key.asc:
    - Change the key to 541EA0448453394FF77A0ECC9D9B2BA061D0A67C (Abhilash Raj
      <raj.abhilash1@gmail.com>) since latest upstream tarball got signed by
      him.
  * d/control:
    - Bump standards-version to 4.2.1, no changes required

  [ Pierre-Elliott Bécue ]
  * d/rules:
    - Removes the docs/ directories from mailman3.deb

 -- Jonas Meurer <jonas@freesources.org>  Mon, 17 Sep 2018 12:46:56 +0200

mailman3 (3.1.1-10) unstable; urgency=medium

  [ Rui Branco ]
  * Update Portuguese translation for debconf (Closes: #898192)

  [ Frans Spiesschaert ]
  * Update Dutch translation for debconf (Closes: #898664)

  [ Pierre-Elliott Bécue ]
  * d/copyright:
    - Update copyright years
    - Add debconf translations statements
  * d/control:
    - Remove the X-Python3-Version field as the mentioned version is the one
      in stable.

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 26 May 2018 14:59:55 +0200

mailman3 (3.1.1-9) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * d/control:
    - Add dh-python build-dependency explicitly as it'll not be dragged
      automagically by debhelper soon.
    - Bump Standards-Version to 4.1.4. No change required.

  [ Jonas Meurer ]
  * d/mailman3.config:
    - Ignore errors on 'db_get mailman3/database-type'. If dbconfig-no-thanks
      is used, the debconf entry doesn't exist. (Closes: #895227)

 -- Pierre-Elliott Bécue <becue@crans.org>  Thu, 12 Apr 2018 07:26:02 +0200

mailman3 (3.1.1-8) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * d/mailman3.init:
    - start-stop-daemon was called to stop mailman3 on an inappropriate
      program name as it is an interpreted language. (the name actually is
      python3). Replace --name ... with --user list, it's roughly safe enough
      to assume that if pid + user are good, we are killing the good program.
      (Closes: #891881)
    - Pass "$(which $INTERPRETER)" instead of $DAEMON to the test command of
      start-stop-daemon in do_start.

  [ Jonas Meurer ]
  * d/mailman3.init:
    - Give '--exec $DAEMON' as start arguments to start-stop-daemon
    - Give PIDFILE as argument to status_of_proc()
    - Quote $REMAINING_PIDS when testing if it's non-empty.
  * d/control:
    - Lower Build-Depends on 'debhelper' to '(>=11~)' for easier backporting.

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 24 Mar 2018 17:31:01 +0100

mailman3 (3.1.1-7) unstable; urgency=medium

  * d/mailman3.postinst:
    - Don't use dpkg-parsechangelog to determine the version that is being
      installed (would require a dependency on dpkg-dev). Instead, use
      'dpkg -s'.

 -- Jonas Meurer <jonas@freesources.org>  Fri, 16 Mar 2018 09:50:32 +0100

mailman3 (3.1.1-6) unstable; urgency=medium

  [ Jonas Meurer ]
  * Rename binary and source packages 'mailman3-core' to 'mailman3' to
    avoid further confusion, add new metapackage 'mailman3-full'.

    A bit more background:
    - The naming of our mailman3 packages caused some confusion. So we
      decided on the following:
      1. binary package 'mailman3-suite' will become 'mailman3-web' to make
         the purpose more obvious.
      2. binary and source package 'mailman3-core' will become 'mailman3'.
         This is closer to the upstream name.
      3. binary metapackage 'mailman3' will become 'mailman3-full' and moves
         to the source package 'mailman3-core'/'mailman3'.

    This upload of source package 'mailman3' takes care of part 2 and 3.

  * d/NEWS:
    - Document the renaming of the package names.
  * d/changelog, d/control, d/mailman3-core*, d/po/*.po, d/README.Debian,
    d/README.source, d/rules, d/templates:
    - Rename source and binary package 'mailman3-core' to 'mailman3'.
  * d/mailman3.postinst:
    - Take over mailman.cfg from old package mailman3-core in ucf database
      if upgrading.
  * d/control:
    - Add appropriate Replaces/Breaks fields and versioned Provides fields
      to renamed binary packages.
    - Add 'mailman3-full' metapackage that depends on all components of
      the mailman3 suite.
  * d/mailman3.postrm:
    - Remove cruft from mailman3 package at purge: archives, cache, data, logs
  * d/copyright:
    - Fix upstream name: it's 'mailman', not 'mailman3-core'.
  * d/source/local-options:
    - Removed, didn't work out as expected.

  [ Pierre-Elliott Bécue ]
  * d/control: Bump debhelper build-dependency to 11
  * d/compat: Raise to 11

 -- Jonas Meurer <jonas@freesources.org>  Thu, 15 Mar 2018 16:39:44 +0100

mailman3-core (3.1.1-5) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * d/control:
    - mailman3-core-doc is now Multi-Arch: foreign

  [ Jonas Meurer ]
  * d/contrib/mailman.cfg.sample:
    - Add some settings from '[mta]' section to make configuration for
      non-default MTAs easier. Add commented out settings for Exim4.
  * d/README.Debian:
    - Add paragraphs for Postfix and Exim4 as mail transport agent (MTA).
  * d/control:
    - Update Vcs-* fields to point to new repository on salsa.debian.org.
  * d/contrib/mailman_cfg_hyperkitty_snippet.cfg:
    - Update path to mailman-hyperkitty.cfg
    - Update comment about the Mailman3 HyperKitty integration.

 -- Jonas Meurer <jonas@freesources.org>  Sat, 03 Mar 2018 18:26:08 +0100

mailman3-core (3.1.1-4) unstable; urgency=medium

  * d/mailman3-core.config:
    - Change default database backend to 'sqlite3'. Required to fix non-
      interactive installations without recommends (e.g. piuparts).
  * d/README.Debian:
    - Add a section about selection of the database backend.
  * d/control:
    - Update description of mailman3-core package to reflect the fact
      that several database backends are supported and 'sqlite3' is the
      default.
    - Degrade recommends on postgresql|mysql to suggests now that we use
      sqlite3 as default database backend. We don't want to pull in needless
      extra database servers.
    - Set Rules-Requires-Root: binary-targets
  * d/tests/control: remove 'needs-recommends' now that we use sqlite3

 -- Jonas Meurer <jonas@freesources.org>  Tue, 16 Jan 2018 15:55:06 +0100

mailman3-core (3.1.1-3) unstable; urgency=medium

  * d/control: Add 'virtual-mysql-server' as another alternative recommends.
    This allows to have other MySQL implementations (like the original MySQL)
    installed and satisfy the recommends.

 -- Jonas Meurer <jonas@freesources.org>  Tue, 09 Jan 2018 18:48:28 +0100

mailman3-core (3.1.1-2) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * Add a d/source/local-options file to unapply the patches after the build.
  * d/control:
    - Bump Standards-Version to 4.1.3
  * Add basic multi database backend support to the maintainer scripts
    with dbconfig.

  [ Jonas Meurer ]
  * Further improve the multi database backend support in maintainer
    scripts:
    * Change default database backend in the configuration skeleton to
      SQLite3. This ensures a working setup without dbconfig.
    * PostgreSQL (the upstream recommendation) stays the default at debconf
      database backend selection. This also applies for non-interactive
      installations.
    * Move SQLite3 database file to '/var/lib/mailman3/data/mailman.db',
      manage it with dbconfig.
    * Rename default database and database user to 'mailman3'.
  * d/tests/control: Set 'isolation-container' and 'needs-recommends' for
    tests that require a running mailman3 daemon.
  * d/tests/mailman3-api: Get setting from mailman3.cfg before running the
    API test.

 -- Jonas Meurer <jonas@freesources.org>  Mon, 08 Jan 2018 17:37:05 +0100

mailman3-core (3.1.1-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * Bump standards version to 4.1.2
  * New upstream release: 3.1.1
  * d/patches:
    - patch for /etc/mailman3/mailman.cfg merged upstream, not needed anymore.
    - Reorders and merge patches with upstream new code.
  * d/control:
    - Update dependencies

  [ Chris Leick ]
  * Add German translation for debcof (Closes: #883823)

  [ Rui Branco ]
  * Add Portuguese translation for debconf (Closes: #884172)

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 16 Dec 2017 16:59:09 +0100

mailman3-core (3.1.0-7) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Add Dutch translation (Closes: #882653)

  [ Lev Lamberov ]
  * Add Russian translation (Closes: #883261)

  [ Pierre-Elliott Bécue ]
  * Fixes mailman.utilities.filesystem:makedirs behaviour via a quilt patch,
    in order to have only directories created with this function set with
    appropriate permissions. (Closes: #883464)
  * Deactivate the second test in d/tests/control as it doesn't work.

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 06 Dec 2017 22:51:10 +0100

mailman3-core (3.1.0-6) unstable; urgency=medium

  * Puts a specific mailman.test.cfg file for autopkgtest needs.

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 15 Nov 2017 16:03:16 +0100

mailman3-core (3.1.0-5) unstable; urgency=medium

  * Harmonization of sed delimiters in mailman3-core.postinst file.
    With a comment to explain the use of | instead of #.
  * d/rules: use of dh_installinit with an error handler so that the
    configuration of the package succeeds even when no db is configured.
    Instead, there will be a message telling the user why probably the
    start of mailman3-core service has failed.
  * As we use debconf to print the error, moves db_stop at the appropriate
    place, before the exit 0 in .postinst/.prerm

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 14 Nov 2017 16:52:21 +0100

mailman3-core (3.1.0-4) unstable; urgency=medium

  * Fixes some sed wrongdoings in mailman3-core.postinst (Closes: #881622)

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 13 Nov 2017 17:19:51 +0100

mailman3-core (3.1.0-3) unstable; urgency=medium

  * debian/mailman3-core.postinst: Fix typo, give 'mailman3-core' as
    name to ucfr, not 'mailman3-suite'.
    Unfortunately a hack is needed to fix this: check for old version
    and give '--force' to ucfr if it's smaller than 3.1.0-3.
  * debian/mailman3-core.postrm: Purge config files from ucf database
    at package purge time.
  * debian/mailman3-core.postinst, debian/contrib/mailman.cfg.sample:
    Add webservice settings to the config file and set adminpass to a
    random string during postinst.
  * debian/README.Debian: Added.

 -- Jonas Meurer <mejo@debian.org>  Fri, 10 Nov 2017 22:19:46 +0100

mailman3-core (3.1.0-2) unstable; urgency=medium

  [ Jonas Meurer ]
  * Change default database backend for mailman3-core to PostgreSQL
  * manage mailman.cfg config file with ucf, now that the content
    is dynamically generated
  * Change mailman.cfg permissions to 0640 root:list now that database
    credentials live there
  * debian/README.source: Minor fixes
  * debian/copyright: Add paragraph about the diverting copyright of
    src/mailman/docs/STYLEGUIDE.rst
  * debian/gbp.conf: Added
  * debian/mailman3-core.logrotate: Added logrotate script
  * debian/contrib/mailman.cfg: Added commented out snippet for
    activating the Hyperkitty archiver
  * debian/control: Recommend lynx as it is used to convert html to plain
    text. Thanks to Philip Frei for the bugreport. (Closes: #881113)

  [ Pierre-Elliott Bécue ]
  * Standards-version bumped to 4.1.1
  * Add debconf configuration to optionally include HyperKitty
    configs into mailman.cfg
  * Translate the templates file into french

 -- Jonas Meurer <mejo@debian.org>  Thu, 09 Nov 2017 20:26:32 +0100

mailman3-core (3.1.0-1) unstable; urgency=low

  [ Pierre-Elliott Bécue ]
  * Initial release (Closes: #799281)

 -- Jonas Meurer <mejo@debian.org>  Thu, 28 Sep 2017 15:30:50 +0200
